%define	fontdir		%{_datadir}/fonts/ja/TrueType

Summary:	Japanese TrueType fonts made by mikachan
Summary(ja):	ߤե
Name:		mikachanfont
Version:	9.0
Release:	b2
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2
URL:		http://www02.u-page.so-net.ne.jp/dc4/hiro1/mika/index.html

%description
This package provides Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

cd fonts

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%files
%defattr(0644,root,root,0755)
#%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


##
## change log
##

%changelog
* Mon Nov 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed mikachanfont.spec
* Tue Mar 2 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 9.0
* Fri Aug 15 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 8.9
* Sat Apr 26 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use ttmkfdir command
* Tue Apr 15 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Red Hat Linux 8.0
- http://downloads.sourceforge.jp/mikachan/2418/mikachanfont-8.8-1.src.rpm
